% Logistische Diff.-Gl.
a = 1.;
b = 2.;
f = @(t,y) (a - b*y).*y;

% Zeichne Richtungsfeld
richtungs_feld(f,0,5,20,0,1,20)

% Loese mit explizitem Euler-Verfahren (Anfangswert 0.2)
t0 = 0.0;
y0 = 0.2;
T  = 5.;
N  = 100;
[t,y1] = expEuler(f,t0,T,y0,N);

% Loese mit explizitem Euler-Verfahren (Anfangswert 1)
t0 = 0.0;
y0 = 1.0;
T  = 5.;
N  = 100;
[t,y2] = expEuler(f,t0,T,y0,N);

% Zeichne beide Loesungen ins Richtungsfeld
hold on;
plot(t,y1,'r-')
plot(t,y2,'m-')
xlabel('t')
ylabel('y')
hold off;
% print('logistischeDGL_richtungsfeld.eps','-depsc')
